Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.terminal
Interface DisplayModel

All Known Implementing Classes:
  Terminal6530, TerminalVT100Style

public interface DisplayModel

Field Summary
`static int` | `ATTR_BGCOLOR`
`static int` | `ATTR_BLINKING`
`static int` | `ATTR_BOLD`
`static int` | `ATTR_CHARDRAWN`
`static int` | `ATTR_CHARNOTDRAWN`
`static int` | `ATTR_DWIDTH_L`
`static int` | `ATTR_DWIDTH_R`
`static int` | `ATTR_FGCOLOR`
`static int` | `ATTR_INVERSE`
`static int` | `ATTR_INVISIBLE`
`static int` | `ATTR_LINEDRAW`
`static int` | `ATTR_LOWINTENSITY`
`static int` | `ATTR_SELECTED`
`static int` | `ATTR_UNDERLINE`
`static int` | `MASK_ATTR`
`static int` | `MASK_BGCOL`
`static int` | `MASK_FGCOL`
`static int` | `SHIFT_BGCOL`
`static int` | `SHIFT_FGCOL`

Method Summary
`int[]` | `getAttribs(int visTop, int row)`
`int` | `getBufferRows()`
`char[]` | `getChars(int visTop, int row)`
`int` | `getDisplayCols()`
`int` | `getDisplayRows()`

Field Detail

### ATTR_BOLD

    public static final int ATTR_BOLD

See Also:
  Constant Field Values

### ATTR_LOWINTENSITY

    public static final int ATTR_LOWINTENSITY

See Also:
  Constant Field Values

### ATTR_UNDERLINE

    public static final int ATTR_UNDERLINE

See Also:
  Constant Field Values

### ATTR_BLINKING

    public static final int ATTR_BLINKING

See Also:
  Constant Field Values

### ATTR_INVERSE

    public static final int ATTR_INVERSE

See Also:
  Constant Field Values

### ATTR_INVISIBLE

    public static final int ATTR_INVISIBLE

See Also:
  Constant Field Values

### ATTR_FGCOLOR

    public static final int ATTR_FGCOLOR

See Also:
  Constant Field Values

### ATTR_BGCOLOR

    public static final int ATTR_BGCOLOR

See Also:
  Constant Field Values

### ATTR_CHARNOTDRAWN

    public static final int ATTR_CHARNOTDRAWN

See Also:
  Constant Field Values

### ATTR_LINEDRAW

    public static final int ATTR_LINEDRAW

See Also:
  Constant Field Values

### ATTR_DWIDTH_L

    public static final int ATTR_DWIDTH_L

See Also:
  Constant Field Values

### ATTR_DWIDTH_R

    public static final int ATTR_DWIDTH_R

See Also:
  Constant Field Values

### ATTR_SELECTED

    public static final int ATTR_SELECTED

See Also:
  Constant Field Values

### ATTR_CHARDRAWN

    public static final int ATTR_CHARDRAWN

See Also:
  Constant Field Values

### MASK_ATTR

    public static final int MASK_ATTR

See Also:
  Constant Field Values

### MASK_FGCOL

    public static final int MASK_FGCOL

See Also:
  Constant Field Values

### MASK_BGCOL

    public static final int MASK_BGCOL

See Also:
  Constant Field Values

### SHIFT_FGCOL

    public static final int SHIFT_FGCOL

See Also:
  Constant Field Values

### SHIFT_BGCOL

    public static final int SHIFT_BGCOL

See Also:
  Constant Field Values

Method Detail

### getChars

    public char[] getChars(int visTop,
                           int row)

### getAttribs

    public int[] getAttribs(int visTop,
                            int row)

### getDisplayRows

    public int getDisplayRows()

### getDisplayCols

    public int getDisplayCols()

### getBufferRows

    public int getBufferRows()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD